#!/bin/bash
#
# Title: SCLUB.sh
# Putprose: Because of Sound Club's license, it has to be redistributed in its
#           original form, which was obtained from:
#           http://www.bluemoon.ee/history/scwin/scw203.zip
#
#           If you would like to use the DOS version, you can grab a copy from:
#           http://www.bluemoon.ee/history/scdos/sclub.zip
#
if [ ! -d "$HOME/WINE/Programs/Sound Club" ]
then
    cp "/opt/psychos486tools/SCLUB/scw203.zip" "$HOME/WINE/Programs/scw203.zip"
    if [ ! -f "$HOME/WINE/Programs/scw203.zip" ]
    then
        yad --title "Sound Club is missing." \
        --text "The freeware version (v2.03) of Sound Club is included with PsychOS486 by default. However, it appears to be missing. Please click the 'Download' button to download, install, and run or 'Exit' to close this menu."
        --button="Download:cd $HOME/WINE/Programs && wget -c http://www.bluemoon.ee/history/scwin/scw203.zip" \
        --button="Exit"
        unzip "$HOME/WINE/Programs/scw203.zip" -d "$HOME/WINE/Programs/scw203"
        wine "$HOME/WINE/Programs/scw203/setup.exe"
        rm -rf "$HOME/WINE/Programs/scw203"
        rm "$HOME/WINE/Programs/scw203.zip"
        if [ ! -d "$HOME/WINE/Programs/Sound Club" ]
        then
            yaf-splash -deco "Sound Club" -text "Something must have gone wrong with the install. Please try again."
        else
            cp "/opt/psychos486tools/SCLUB/.DirIcon" "$HOME/WINE/Programs/Sound Club/.DirIcon"
            wine "$HOME/WINE/Programs/Sound Club/scw.exe"
        fi
        cd ..
    else
        unzip "$HOME/WINE/Programs/scw203.zip" -d "$HOME/WINE/Programs/scw203"
        wine "$HOME/WINE/Programs/scw203/setup.exe"
        rm -rf "$HOME/WINE/Programs/scw203"
        rm "$HOME/WINE/Programs/scw203.zip"
        if [ ! -d "$HOME/WINE/Programs/Sound Club" ]
        then
            yaf-splash -deco "Sound Club" -text "Something must have gone wrong with the install. Please try again."
        else
            cp "/opt/psychos486tools/SCLUB/.DirIcon" "$HOME/WINE/Programs/Sound Club/.DirIcon"
            wine "$HOME/WINE/Programs/Sound Club/scw.exe"
        fi
        cd ..
    fi
else
    cd "$HOME/WINE/Programs/Sound Club"
    wine "$HOME/WINE/Programs/Sound Club/scw.exe"
    cd ..
fi