#!/bin/bash
#
# Title: SCLUBDOS.sh
# Putprose: Because of Sound Club's license, it has to be redistributed in its
#           original form, which was obtained from:
#           http://www.bluemoon.ee/history/scdos/sclub.zip
#
#           If you would like to use the Windows version, you can grab a copy from:
#           http://www.bluemoon.ee/history/scwin/scw203.zip
#
if [ ! -d "$HOME/.dosemu/drive_c/sclub" ]
then
    cp "/opt/psychos486tools/SCLUB/sclub.zip" "$HOME/.dosemu/drive_c/sclub.zip"
    if [ ! -f "$HOME/.dosemu/drive_c/sclub.zip" ]
    then
        yad --title "Sound Club for DOS is missing." \
        --text "The DOS version of Sound Club is included with PsychOS486 by default. However, it appears to be missing. Please click the 'Download' button to download, install, and run or 'Exit' to close this menu."
        --button="Download:cd $HOME/.dosemu/drive_c && wget -c http://www.bluemoon.ee/history/scdos/sclub.zip" \
        --button="Exit"
        unzip "$HOME/.dosemu/drive_c/sclub.zip" -d "$HOME/.dosemu/drive_c/sclub"
        cp "/opt/psychos486tools/SCLUB/.DirIcon" "$HOME/.dosemu/drive_c/sclub/.DirIcon"
        dosemu "$HOME/.dosemu/drive_c/sclub/INSTALL.EXE"
        rm "$HOME/.dosemu/drive_c/sclub.zip"
        if [ ! -d "$HOME/WINE/Programs/Sound Club" ]
        then
            yaf-splash -deco "Sound Club for DOS" -text "Something must have gone wrong with the install. Please try again."
        else
            if [ ! -d "$HOME/Music" ];then mkdir -p "$HOME/Music";fi
            ln -s "$HOME/Music" "$HOME/.dosemu/drive_c/sclub/Music"
            dosemu "$HOME/.dosemu/drive_c/sclub/sclub.exe"
        fi
        cd ..
    else
        unzip "$HOME/.dosemu/drive_c/sclub.zip" -d "$HOME/.dosemu/drive_c/sclub"
        cp "/opt/psychos486tools/SCLUB/.DirIcon" "$HOME/.dosemu/drive_c/sclub/.DirIcon"
        dosemu "$HOME/.dosemu/drive_c/sclub/INSTALL.EXE"
        rm "$HOME/.dosemu/drive_c/sclub.zip"
        if [ ! -d "$HOME/.dosemu/drive_c/sclub" ]
        then
            yaf-splash -deco "Sound Club for DOS" -text "Something must have gone wrong with the install. Please try again."
        else
            if [ ! -d "$HOME/Music" ];then mkdir -p "$HOME/Music";fi
            ln -s "$HOME/Music" "$HOME/.dosemu/drive_c/sclub/Music"
            dosemu "$HOME/.dosemu/drive_c/sclub/sclub.exe"
        fi
        cd ..
    fi
else
    cd "$HOME/.dosemu/drive_c/sclub"
    dosemu "$HOME/.dosemu/drive_c/sclub/sclub.exe"
    cd ..
fi